tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Importing tmux into base

On 08/02/2011 13:07, Roy Marples wrote:
tmux should not require ncurses if the base OS already defines a
terminfo implementation, which -current has for just over a year.

Infact any package which requires curses or terminfo in pkgsrc should be
using the and in pkgsrc/mk
instead of just blindly depending on ncurses.

I just made this change to tmux in pkgsrc, works fine on my -current NetBSD install. From memory it was because it required a minor change to upstream build system that took a while to get released.



Home | Main Index | Thread Index | Old Index